Reopen a reconciliation
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/reopen \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/reopen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/reopen"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"reconciliation": {
"id": "<string>",
"label": "<string>",
"status": "open",
"line_count": 123,
"matched_count": 123,
"unmatched_count": 123,
"ignored_count": 123,
"verifiable_count": 123,
"matched_cents": 123,
"unmatched_cents": 123,
"gateway": "stripe",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Reconciliations
Reopen a reconciliation
Opens a closed import again. Send no body. Needs write on Animals.
POST
/
api
/
animals
/
reconciliations
/
{id}
/
reopen
Reopen a reconciliation
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/reopen \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/reopen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/reopen"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"reconciliation": {
"id": "<string>",
"label": "<string>",
"status": "open",
"line_count": 123,
"matched_count": 123,
"unmatched_count": 123,
"ignored_count": 123,
"verifiable_count": 123,
"matched_cents": 123,
"unmatched_cents": 123,
"gateway": "stripe",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}